perl

Description:Larry Wall's Practical Extraction and Report Language
License: Artistic, GPL-1, GPL-2, GPL-3
Homepage:https://www.perl.org/
Location:Portage
Legend:
  • + - stable
  • ~ - unstable
  • M - hardmask
alpha amd64 arm hppa ia64 m68k mips ppc ppc64 s390 sh sparc x86
5.32.1 diff ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ - ~ ~
5.32.0-r1 diff ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ - ~ ~
5.30.3-r2 diff - - - - - - - - - - - - -
5.30.3-r1 diff ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ - ~ ~
5.30.3 ~ + + + ~ ~ ~ + + ~ - + +

USE flags

  • berkdb - Add support for sys-libs/db (Berkeley DB for MySQL)
  • build - !!internal use only!! DO NOT SET THIS FLAG YOURSELF!, used for creating build images and the first half of bootstrapping [make stage1]
  • debug - Enable extra debug codepaths, like asserts and extra output. If you want to get meaningful backtraces see https://wiki.gentoo.org/wiki/Project:Quality_Assurance/Backtraces
  • doc - Add extra documentation (API, Javadoc, etc). It is recommended to enable per package instead of globally
  • elibc_FreeBSD - ELIBC setting for systems that use the FreeBSD C library
  • gdbm - Add support for sys-libs/gdbm (GNU database libraries)
  • ithreads - Enable Perl threads, has some compatibility problems
  • minimal - Install a very minimal build (disables, for example, plugins, fonts, most drivers, non-critical features)

Security Advisory

Date Severity Title
10 months normal Perl: Multiple vulnerabilities
over 1 year normal Perl: Multiple vulnerabilities
over 3 years normal Perl: Race condition vulnerability
about 4 years normal Perl: Multiple vulnerabilities
almost 6 years normal Perl: Denial of Service
over 6 years normal Perl, Perl Locale-Maketext module: Multiple vulnerabilities
about 7 years normal Perl, Locale Maketext Perl module: Multiple vulnerabilities
over 7 years high Perl: Multiple vulnerabilities
almost 13 years normal Perl: Execution of arbitrary code
over 13 years normal Perl: Buffer overflow
over 15 years high Perl: Format string errors can lead to code execution
over 15 years low Perl, Qt-UnixODBC, CMake: RUNPATH issues
about 16 years high Perl: Vulnerabilities in perl-suid wrapper
about 16 years normal Perl: rmtree and DBI tmpfile vulnerabilities
over 16 years normal Perl: Insecure temporary file creation

Also available in: Atom

Thank you!